curl --request GET \
--url https://cloud-api.near.ai/v1/model/{model_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/model/{model_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/model/{model_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"metadata": {
"attestationSupported": true,
"contextLength": 123,
"modelDescription": "<string>",
"modelDisplayName": "<string>",
"ownedBy": "<string>",
"providerType": "<string>",
"verifiable": true,
"aliases": [
"<string>"
],
"architecture": {
"inputModalities": [
"<string>"
],
"outputModalities": [
"<string>"
]
},
"datacenters": [
{
"country_code": "<string>"
}
],
"deprecationDate": "<string>",
"huggingFaceId": "<string>",
"inferenceUrl": "<string>",
"isReady": true,
"maxOutputLength": 123,
"modelIcon": "<string>",
"openrouterSlug": "<string>",
"providerConfig": "<unknown>",
"quantization": "<string>",
"supportedFeatures": [
"<string>"
],
"supportedSamplingParameters": [
"<string>"
]
},
"modelId": "<string>",
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Get model details
Get pricing and metadata for a specific model. URL-encode model names containing slashes. Public endpoint.
Authorizations
JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.
Path Parameters
Model name (URL-encode if it contains slashes)
Response
Model details with pricing
Model with pricing information
Decimal price for API responses
The system uses a fixed scale of 9 (nano-dollars = 1 billionth of a dollar). The scale field is included in responses for client convenience.
Show child attributes
Show child attributes
Decimal price for API responses
The system uses a fixed scale of 9 (nano-dollars = 1 billionth of a dollar). The scale field is included in responses for client convenience.
Show child attributes
Show child attributes
Model metadata
Show child attributes
Show child attributes
Decimal price for API responses
The system uses a fixed scale of 9 (nano-dollars = 1 billionth of a dollar). The scale field is included in responses for client convenience.
Show child attributes
Show child attributes
Cost per cached input token. Omitted when cache pricing is disabled; an amount of 0 means cached tokens are genuinely free.
Show child attributes
Show child attributes